EUCA-DESCRIBE-ROUTE-TABLES(1)

NAME
euca-describe-route-tables - Describe one or more VPC route tables

SYNOPSIS
euca-describe-route-tables [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [RTABLE [RTABLE ...]]

DESCRIPTION
Describe one or more VPC route tables

  positional arguments:

RTABLE
    limit results to specific route tables

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

association.route-table-association-id
    ID of an association for the route table

association.route-table-id
    ID of a route table involved in an association

association.subnet-id
    ID of a subnet involved in an association

association.main
    whether the route table is the main route table for its VPC route-table-id route.destination-cidr-block

CIDR address block specified in one of the
    table's routes

route.gateway-id
    ID of a gateway specified by a route in the table

route.instance-id
    ID of an instance specified by a route in the table

route.nat-gateway-id
    ID of a NAT gateway specified by a route in the table route.vpc-peering-connection-id ID of a VPC peering connection specified by a route in the table

route.origin
    which operation created a route in the table

route.state
    whether a route in the table has state "active" or "blackhole"

tag-key
    key of a tag assigned to the route table

tag-value
    value of a tag assigned to the route table

tag:KEY
    specific tag key/value combination

vpc-id
    the associated VPC's ID